Note: This is a legacy endpoint, consider using this endpoint instead. The endpoint will continue to function as documented. Get all vehicle assignments for the requested drivers in the requested time range. The only type of assignment supported right now are assignments created through the driver app.
Rate limit: 25 requests/sec (learn more about rate limits here).
To use this endpoint, select Read Assignments under the Assignments category when creating or editing an API token. Learn More.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
curl --request GET \
--url https://api.samsara.com/fleet/drivers/vehicle-assignments \
--header 'Authorization: Bearer <token>'{
"data": [
{
"driverActivationStatus": "active",
"id": "494123",
"name": "Joe Driver",
"vehicleAssignments": [
{
"assignmentType": "driverApp",
"isPassenger": false,
"startTime": "2019-06-13T19:08:25Z",
"vehicle": {
"externalIds": {},
"id": "494123",
"name": "Fleet Truck #1"
},
"endTime": "2019-06-13T19:08:25Z"
}
],
"externalIds": {}
}
],
"pagination": {
"endCursor": "MjkY",
"hasNextPage": true
}
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
A filter on the data based on this comma-separated list of driver IDs and externalIds. Example: driverIds=1234,5678,payroll:4841
A start time in RFC 3339 format. Defaults to now if not provided. Millisecond precision and timezones are supported. (Examples: 2019-06-13T19:08:25Z, 2019-06-13T19:08:25.455Z, OR 2015-09-15T14:00:12-04:00). The maximum allowed startTime-endTime range is 7 days.
An end time in RFC 3339 format. Defaults to now if not provided. Millisecond precision and timezones are supported. (Examples: 2019-06-13T19:08:25Z, 2019-06-13T19:08:25.455Z, OR 2015-09-15T14:00:12-04:00). The maximum allowed startTime-endTime range is 7 days.
A filter on the data based on this comma-separated list of driver tag IDs. Example: tagIds=1234,5678
A filter on the data based on this comma-separated list of driver parent tag IDs, for use by orgs with tag hierarchies. Specifying a parent tag will implicitly include all descendent tags of the parent tag. Example: parentTagIds=345,678
If value is deactivated, only drivers that are deactivated will appear in the response. This parameter will default to active if not provided (fetching only active drivers). Valid values: active, deactivated
active, deactivated If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.
curl --request GET \
--url https://api.samsara.com/fleet/drivers/vehicle-assignments \
--header 'Authorization: Bearer <token>'{
"data": [
{
"driverActivationStatus": "active",
"id": "494123",
"name": "Joe Driver",
"vehicleAssignments": [
{
"assignmentType": "driverApp",
"isPassenger": false,
"startTime": "2019-06-13T19:08:25Z",
"vehicle": {
"externalIds": {},
"id": "494123",
"name": "Fleet Truck #1"
},
"endTime": "2019-06-13T19:08:25Z"
}
],
"externalIds": {}
}
],
"pagination": {
"endCursor": "MjkY",
"hasNextPage": true
}
}